de.esprit.netsuite.eclient

## Class ClientConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig
      - - de.esprit.netsuite.eclient.ClientConfig

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class ClientConfig
      extends ApplicationConfig

  This class encapsulates the startup parameters of the client
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `DEFAULT_APPLICATION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientConfig(ClientCLP clp)` Constructor for normal clients which are launched from the command-line
    `ClientConfig(ServerContext serverCtx, ServerHost coServerHost)` Constructor for co-clients which are launched within a server
    `ClientConfig(ServerHost server, java.lang.String applicationName)` Special constructor used for direct connections

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetIoType` | `getNetIoType()`
    `java.lang.String` | `getPassword()`
    `int` | `getPingDelay()`
    `int` | `getRequestTimeout()`
    `ServerHost` | `getServerHost()`
    `java.lang.String` | `getUserName()`
    `java.io.File` | `getWorkspaceDir()`
    `boolean` | `isAutoLogin()`
    `boolean` | `isAutoReconnect()`
    `boolean` | `isEtCheckDisabled()`
    `boolean` | `isTransferZipped()`
    `void` | `setAutoLogin(boolean isAutoLogin)`
    `void` | `setAutoReconnect(boolean state)`
    `void` | `setEtCheckDisabled(boolean isEtCheckDisabled)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setPingDelay(int pingDelay)`
    `void` | `setRequestTimeout(int requestTimeout)`
    `void` | `setTransferZipped(boolean isZipped)`
    `void` | `setUserName(java.lang.String userName)`
    `void` | `setWorkspaceDir(java.io.File workspaceDir)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `getApplicationName, getLogDir, getStartLogLevel, getStartLogLevel, isDemoMode, isPrintVersionOnly, isSuppressConsoleLogging, isTestMode, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConfig

          public ClientConfig(ServerContext serverCtx,
                      ServerHost coServerHost)

      Constructor for co-clients which are launched within a server

    - #### ClientConfig

          public ClientConfig(ServerHost server,
                      java.lang.String applicationName)

      Special constructor used for direct connections

    - #### ClientConfig

          public ClientConfig(ClientCLP clp)

      Constructor for normal clients which are launched from the command-line

  - ### Method Detail

    - #### getServerHost

          public ServerHost getServerHost()

    - #### getWorkspaceDir

          public java.io.File getWorkspaceDir()

    - #### setWorkspaceDir

          public void setWorkspaceDir(java.io.File workspaceDir)

    - #### setUserName

          public void setUserName(java.lang.String userName)

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### setAutoLogin

          public void setAutoLogin(boolean isAutoLogin)

    - #### isAutoReconnect

          public boolean isAutoReconnect()

    - #### isAutoLogin

          public boolean isAutoLogin()

    - #### isTransferZipped

          public boolean isTransferZipped()

    - #### setTransferZipped

          public void setTransferZipped(boolean isZipped)

    - #### getPassword

          public java.lang.String getPassword()

    - #### getPingDelay

          public int getPingDelay()

    - #### setPingDelay

          public void setPingDelay(int pingDelay)

    - #### getRequestTimeout

          public int getRequestTimeout()

    - #### setRequestTimeout

          public void setRequestTimeout(int requestTimeout)

    - #### getUserName

          public java.lang.String getUserName()

    - #### setAutoReconnect

          public void setAutoReconnect(boolean state)

    - #### isEtCheckDisabled

          public boolean isEtCheckDisabled()

    - #### setEtCheckDisabled

          public void setEtCheckDisabled(boolean isEtCheckDisabled)

    - #### getNetIoType

          public NetIoType getNetIoType()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `ApplicationConfig`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.